import { appendDotJs } from "./append.js.js";
import { getDebug } from "./debug.js";
let lastProgram;
let cachedTransformer;
export default function typescriptTransformerDualPackage(program, pluginOptions) {
    const debug = getDebug(pluginOptions.verbose || false);
    if (program === lastProgram) {
        return cachedTransformer;
    }
    lastProgram = program;
    return (cachedTransformer = function transformer(transformationContext) {
        debug('[trans] NewContext');
        const appendDotJsCall = appendDotJs(program, transformationContext, debug);
        return (sourceFile) => {
            return appendDotJsCall(sourceFile);
        };
    });
}
//# sourceMappingURL=register.js.map